Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: openoffice.org security update breekt het pakket in dapper  (gelezen 455 keer)

taj

  • Gast
openoffice.org security update breekt het pakket in dapper
« Gepost op: 2007/03/28, 13:15:33 »
Ik wilde apt-get upgrade && apt-get update doen (kubuntu dapper), en dit was het gevolg.

syntax error at /usr/lib/perl/5.8/Cwd.pm line 468, near "sub _win32_cwd "
Compilation failed in require at /usr/share/perl/5.8/File/Path.pm line 111.
BEGIN failed--compilation aborted at /usr/share/perl/5.8/File/Path.pm line 111.
Compilation failed in require at /usr/sbin/update-openoffice-dicts line 8.
BEGIN failed--compilation aborted at /usr/sbin/update-openoffice-dicts line 8.
dpkg: error processing openoffice.org-common (--configure):
 subprocess post-installation script returned error exit status 9
dpkg: dependency problems prevent configuration of openoffice.org-java-common:
 openoffice.org-java-common depends on openoffice.org-common (>> 2.0.2); however:
  Package openoffice.org-common is not configured yet.
dpkg: error processing openoffice.org-java-common (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of openoffice.org-base:
 openoffice.org-base depends on openoffice.org-java-common; however:
  Package openoffice.org-java-common is not configured yet.
dpkg: error processing openoffice.org-base (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of openoffice.org:
 openoffice.org depends on openoffice.org-base (>> 2.0.2); however:
  Package openoffice.org-base is not configured yet.
 openoffice.org depends on openoffice.org-java-common; however:
  Package openoffice.org-java-common is not configured yet.
dpkg: error processing openoffice.org (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 openoffice.org-common
 openoffice.org-java-common
 openoffice.org-base
 openoffice.org
E: Sub-process /usr/bin/dpkg returned an error code (1)
Balen want openoffice is nu onbruikbaar.
volgens mij moet (>> 2.0.2) zijn (>= 2.0.2), want de hoogst aanwezige versie is 2.0.2.
Ik heb geen zin om een bug-rapport te schrijven, heeft iemand een snelle oplossing, handmatig met dpkg lukt ook niet. Het zal wel ge-update worden, maar ik heb ooo nu nodig.

Het is niet de eerste keer dat zoiets met dapper (long term support, zou professioneel moeten zijn) gebeurt. Ik vind dat heel slordig van het dapper team.

taj

  • Gast
openoffice.org security update breekt het pakket in dapper
« Reactie #1 Gepost op: 2007/03/28, 13:44:06 »
Opgelost.

Wat hielp was openoffice volledig verwijderen, dat kwam neer op dit:
sudo apt-get clean && sudo apt-get --purge remove openoffice.org-common openoffice.org-java-common openoffice.org-base openoffice.orgDaarmee werden de volgende pakketten verwijderd:
kubuntu-desktop openoffice.org openoffice.org-base openoffice.org-calc openoffice.org-common openoffice.org-core openoffice.org-draw openoffice.org-help-nl openoffice.org-impress openoffice.org-java-common openoffice.org-kde openoffice.org-l10n-nl openoffice.org-math openoffice.org-writer python-uno

Vervolgens heb ik die paketten weer geinstalleerd:
sudo apt-get install kubuntu-desktop openoffice.org openoffice.org-base openoffice.org-calc openoffice.org-common openoffice.org-core openoffice.org-draw openoffice.org-help-nl openoffice.org-impress openoffice.org-java-common openoffice.org-kde openoffice.org-l10n-nl openoffice.org-math openoffice.org-writer python-unoNu ging alles goed.

Blij dat ik niet aan een inbel modem zit...

EDIT: je moet nadat je alles verwijderd hebt nog met de hand /etc/openoffice verwijderen, anders werkt het nog steeds niet...